/*!
Theme Name:			PierreBensusan.com
Template:			storefront
Description:		Default theme for Pierre's website
Author:				Alive Network
Author URI:        	https://www.alivenetwork.com
*/

@import url("https://use.typekit.net/afn4vbz.css");

body { font-size:18px; }

/* TYPOGRAPHY */
h1,.h1,h2,.h2,h3,.h3 { font-family:americane-condensed, sans-serif;font-weight:300; }
.h1 { font-size:3.706325903em;margin-bottom:.2360828548em; }
p { font-weight:300; }
.text-white { color:White; }
.text-center { text-align:center; }
h4.wp-block-heading + p { margin-top:0.5em; }

/* GLOBAL */
.flex-direction-rtl { flex-direction:row-reverse; }
.wp-block-button__link { border-radius:0; }
.wp-block-image .aligncenter.size-large { margin-left:0;margin-right:0; }
.entry-content > .wp-block-image.alignfull.size-large:last-child,
.entry-content > .wp-block-gallery.alignfull:last-child { margin-bottom:-6.853725032em; }
.entry-content > .wp-block-cover.alignfull:first-child { margin-top:-6.3em; }
.hentry .entry-content a { text-decoration:none; }
ul.is-layout-grid,ul.wc-block-product-template { margin-left:0; }
#ctis-loading { grid-column:1/-1; }

@media only screen and (max-width:767px) {
	.hidden-xs { display:none!important; }
}
@media only screen and (min-width:768px) {
	.visible-xs { display:none!important; }
}

/* LAYOUT */

#page { border-top:3px Solid #70c27b; }

/* HEADER */
.main-navigation ul.menu>li>a:focus { outline:0; }
@media only screen and (min-width: 768px) {
	.site-header { padding-top:1.618em; }
	.site-branding, .site-search, .site-header-cart, .site-logo-anchor, .site-logo-link, .custom-logo-link { margin-bottom:0; }
	.main-navigation ul.menu>li>a, .main-navigation ul.nav-menu>li>a, .site-header-cart .cart-contents { padding-top:1.2em;padding-bottom:1.2em; }
}

/* FOOTER */
#footer-logos { list-style:none;margin:0;padding:0;display:flex; }
#footer-logos li { display:flex;flex:0 1 auto;flex-wrap:wrap;align-items:center;padding:7px 20px 7px 0;max-width:25%;text-align:center; } 
#footer-logos li a { display:inline-block; }
#footer-logos li img { max-height:25px;filter:grayscale(1); }

@media only screen and (min-width:768px) {
	#footer-logos li { max-width:12%; }
}

/* HOMEPAGE TEMPLATE EDITS */
.page-template-template-homepage.has-post-thumbnail .type-page.has-post-thumbnail { padding-top:0;padding-bottom:0; }
.page-template-template-homepage .featured-image { padding-bottom:30%;margin-bottom:4.235801032em;background-size:cover;background-position:center center;line-height:1; }
.page-template-template-homepage .featured-image .col-full { padding-top:70%; }
.page-template-template-homepage .entry-content, .page-template-template-homepage .entry-header { max-width:none; }
.page-template-template-homepage .entry-content { text-align:inherit; }

@media only screen and (min-width:768px) {
	.page-template-template-homepage .featured-image { padding-bottom:15%;background-position:center 25%; }
	.page-template-template-homepage .featured-image .col-full { padding-top:15%; }
}

/* PRODUCTS */
ul.products > li.product { margin-bottom:2em; }
.products > .product > a:first-child > h2,
.wc-block-product-template > .product > a:first-child > h2 { font-size:1.4rem; }
.products > .product > a:first-child > .price,
.wc-block-product-template > .product > a:first-child > .price { font-size:1rem; }
.product img { box-shadow:0 0 3rem rgba(0,0,0,0.1); }

@media only screen and (min-width:768px) {
	.wc-block-product-template,.products { display:grid;gap:1.25em; }
	.wc-block-product-template:before,.wc-block-product-template:after,
	.products:before,.products:after{ display:none!important; }
	.wc-block-product-template.columns-3,.products.columns-3 { grid-template-columns:repeat(3,1fr); }
	.wc-block-product-template.columns-4,.products.columns-4 { grid-template-columns:repeat(4,1fr); }
	
	.wc-block-product-template > .product,.products > .product { width:100%!important;margin-right:0!important;float:none!important;display:flex;flex-direction:column; }
	.wc-block-product-template > .product > a:first-child,
	.products > .product > a:first-child { display:flex!important;flex-direction:column;flex-grow:1; }
	.wc-block-product-template > .product > a:first-child > h2,
	.products > .product > a:first-child > h2{ flex-grow:1;font-size:1.4rem; }
	.products > .product > a.button { align-self:center; }
}

/* TOUR LIST */
.pb-tours > ul { list-style:none;display:table;padding-left:0;margin-left:auto;margin-right:auto; }
.pb-tours > ul > li { display:table-row; } 
.pb-tours > ul > li > span { display:table-cell;padding:0.1em 0.5em;min-width:7em; }
.pb-tours > ul > li > span:last-child { text-align:right; }
.pb-tours > ul > li + li span { border-top:.15rem Dotted #dfdfdf; }

/* BLOGS */
body:not(.single) .post .entry-content img,
body:not(.single) .post .entry-taxonomy,
body:not(.single) .post .post-author { display:none; }

.hentry .entry-title { margin-bottom:0.1em; }
.hentry .entry-header { margin-bottom:1em;border-bottom:0; }
.hentry:after { content:'';display:block;clear:both; }
.hentry > .thumbnail { float:left;margin-right:2rem; }
.hentry > .thumbnail + .entry-header { float:left;width:calc(100% - (200px - -2rem)); }

@media only screen and (max-width:767px) {
	.hentry > .thumbnail { width:20%; }
	.hentry > .thumbnail + .entry-header,
	.hentry > .thumbnail ~ .entry-content { float:right;width:calc(80% - 2rem); }
}
